> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders

> Retrieve paginated list of all orders for your account, filtered using the query parameters.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json get /payment-batches/orders
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/orders:
    get:
      tags:
        - Orders
      summary: List orders
      description: >-
        Retrieve paginated list of all orders for your account, filtered using
        the query parameters.
      operationId: findAllOrders
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: sort
          in: query
          schema:
            description: >-
              Determines whether the page of items are sorted in ascending or
              descending order.
            default: desc
            type:
              - string
            enum:
              - asc
              - desc
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: ids
          in: query
          schema:
            description: A comma-separated set of order ids to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
        - name: paymentBatchIds
          in: query
          schema:
            description: A comma-separated set of payment batch ids to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
        - name: statuses
          in: query
          schema:
            description: A comma-separated set of statuses to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - created
                    - started
                    - completed
                    - failed
                  description: The status of the Order.
            enum:
              - created
              - started
              - completed
              - failed
        - name: paymentBatchStatuses
          in: query
          schema:
            description: A comma-separated set of payment batch statuses to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - draft
                    - validated
                    - confirmed
                    - started
                    - completed
                    - failed
                    - cancelled
                  description: The status of the Payment Batch.
            enum:
              - draft
              - validated
              - confirmed
              - started
              - completed
              - failed
              - cancelled
        - name: budgetIds
          in: query
          schema:
            description: A comma-separated set of budget ids to filter by.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          maxLength: 36
                          description: The unique ID of the Order.
                        paymentBatchId:
                          type:
                            - string
                          maxLength: 36
                          format: uuid
                          description: The unique ID of the Payment Batch.
                        status:
                          type:
                            - string
                          enum:
                            - created
                            - started
                            - completed
                            - failed
                          description: The status of the Order.
                        budget:
                          type:
                            - object
                          properties:
                            id:
                              type:
                                - string
                              format: uuid
                              maxLength: 36
                              description: The ID of the budget to work with.
                              example: 775596ae-2624-40af-a9dc-9756110a4a03
                            name:
                              type:
                                - string
                              maxLength: 128
                              description: The name of the budget.
                          required:
                            - id
                            - name
                        totalPayments:
                          type:
                            - number
                            - 'null'
                          exclusiveMinimum: 0
                          description: The total number of payments in the order.
                        totalAmount:
                          type:
                            - string
                            - 'null'
                          pattern: ^(0|[1-9]\d{0,10})(\.\d{1,4})?$
                          description: The total amount of the order, including fees.
                        totalDebitedAmount:
                          type:
                            - string
                            - 'null'
                          pattern: ^(0|[1-9]\d{0,10})(\.\d{1,4})?$
                          description: >-
                            The total debited amount for the order, including
                            fees. This may be lower than the total amount if any
                            payments failed.
                        totalFees:
                          type:
                            - string
                            - 'null'
                          pattern: ^(0|[1-9]\d{0,10})(\.\d{1,4})?$
                          description: The total fees for the order.
                        totalDebitedFees:
                          type:
                            - string
                            - 'null'
                          pattern: ^(0|[1-9]\d{0,10})(\.\d{1,4})?$
                          description: >-
                            The total debited fees for the order. This may be
                            lower than the total fees if any payments failed.
                        currencyCode:
                          type:
                            - string
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - ANG
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BGN
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHF
                            - CLP
                            - CNY
                            - COP
                            - CRC
                            - CUC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GGP
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HRK
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LTL
                            - LVL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SEK
                            - SGD
                            - SHN
                            - SLL
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - UYU
                            - UZS
                            - VND
                            - VUV
                            - WST
                            - XAF
                            - XAG
                            - XAU
                            - XCD
                            - XOF
                            - XPD
                            - XPF
                            - XPT
                            - YER
                            - ZAR
                            - ZMK
                            - ZMW
                            - ZWD
                          example: USD
                        orderSentAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - paymentBatchId
                        - status
                        - budget
                        - totalPayments
                        - totalAmount
                        - totalDebitedAmount
                        - totalFees
                        - totalDebitedFees
                        - currencyCode
                        - orderSentAt
                        - createdAt
                        - updatedAt
                    description: Array of all matching orders.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: string
                      paymentBatchId: 1bce4e75-abe0-4ebf-b151-fbdb0b7d5ed9
                      status: created
                      budget:
                        id: 775596ae-2624-40af-a9dc-9756110a4a03
                        name: string
                      totalPayments: 0
                      totalAmount: string
                      totalDebitedAmount: string
                      totalFees: string
                      totalDebitedFees: string
                      currencyCode: USD
                      orderSentAt: '2019-08-24T14:15:22Z'
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - payment-batches:read:any
            - payment-batches:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/payment-batches/orders?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````